> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get a paginated list of projects.

GET https://prod-api.raisedonors.com/api/Project/list

Reference: https://virtuous.ferndocs.com/reference/raise/project/getprojectlist

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Request

### Query parameters

- `IsActive` (boolean, optional) — Indicates if the project is active.
- `IsAvailableOnline` (boolean, optional) — Indicates if the project is available online.
- `Filter` (string, optional)
- `Skip` (integer, optional)
- `Take` (integer, optional)
- `SortBy` (enum, optional) — Field to sort by (case-insensitive). Valid options: code, donoramount, giftamount, id, isactive, name, raisedamount, status
  - Allowed values: `code`, `donoramount`, `giftamount`, `id`, `isactive`, `name`, `raisedamount`, `status`
- `Descending` (boolean, optional)
- `IncludeDetails` (boolean, optional)

## Response

### 200

OK

- `items` (list of ProjectModel, optional)
- `total` (integer, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `Project_GetProjectListRequestBadRequestError`
  - ProblemDetails: ProblemDetails
  - HttpValidationProblemDetails: HttpValidationProblemDetails

## Types

### ProjectModel

Represents a project model.

- `id` (long, optional) — Gets or sets the identifier.
- `code` (string, optional, nullable) — Gets or sets the code.
- `isActive` (boolean, optional) — Gets or sets a value indicating whether active.
- `isAvailableOnline` (boolean, optional) — Gets or sets a value indicating whether available online.
- `isPublic` (boolean, optional) — Gets or sets a value indicating whether public.
- `isDeleted` (boolean, optional) — Gets or sets a value indicating whether deleted.
- `name` (string, optional, nullable) — Gets or sets the name.
- `description` (string, optional, nullable) — Gets or sets the description.
- `sortOrder` (integer, optional) — Gets or sets the sort order.
- `emailAddresses` (string, optional, nullable) — Gets or sets the email addresses.
- `metadataFields` (list of FieldMetadata, optional, nullable) — Gets or sets the metadata fields.
- `image` (string, optional, nullable) — Gets or sets the image.
- `isPinned` (boolean, optional) — Gets or sets a value indicating whether pinned.
- `donorAmount` (integer, optional) — Gets or sets the donor amount.
- `giftAmount` (integer, optional) — Gets or sets the gift amount.
- `createdDateTime` (string, optional, nullable) — Gets or sets the created date time.
- `modifiedDateTime` (string, optional, nullable) — Gets or sets the modified date time.
- `raisedAmount` (string, optional, nullable) — Gets or sets the raised amount.
- `averageGiftAmount` (string, optional, nullable) — Gets or sets the average gift amount.
- `firstGiftDate` (string, optional, nullable) — Gets or sets the first gift date.
- `lastGiftDate` (string, optional, nullable) — Gets or sets the last gift date.
- `isSystem` (boolean, optional) — Gets or sets a value indicating whether system.
- `percentageRecurringGift` (double, optional) — Gets or sets the percentage recurring gift.
- `externalIdentifier` (string, optional, nullable) — Gets or sets the external identifier.
- `impactData` (string, optional, nullable) — Gets or sets the impact data.

### ProblemDetails

- `type` (string, optional, nullable)
- `title` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)

### HttpValidationProblemDetails

- `detail` (string, optional, nullable)
- `errors` (map from string to list of string, optional, nullable)
- `instance` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `title` (string, optional, nullable)
- `type` (string, optional, nullable)

### FieldMetadata

- `name` (string, optional, nullable)
- `value` (string, optional, nullable)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "items": [
    {
      "id": 1024,
      "code": "PRJ-2024-07",
      "isActive": true,
      "isAvailableOnline": true,
      "isPublic": false,
      "isDeleted": false,
      "name": "Clean Water Initiative",
      "description": "A project focused on providing clean drinking water to rural communities.",
      "sortOrder": 10,
      "emailAddresses": "contact@cleanwater.org, info@cleanwater.org",
      "metadataFields": [
        {
          "name": "Region",
          "value": "Sub-Saharan Africa"
        }
      ],
      "image": "https://cdn.raisedonors.com/projects/cleanwater.jpg",
      "isPinned": true,
      "donorAmount": 350,
      "giftAmount": 1200,
      "createdDateTime": "2023-11-15T09:30:00Z",
      "modifiedDateTime": "2024-06-01T12:00:00Z",
      "raisedAmount": "125000.00",
      "averageGiftAmount": "104.17",
      "firstGiftDate": "2023-11-16T08:00:00Z",
      "lastGiftDate": "2024-05-30T17:45:00Z",
      "isSystem": false,
      "percentageRecurringGift": 27.5,
      "externalIdentifier": "EXT-CLW-2024",
      "impactData": "Provided clean water to 15,000 people in 2023."
    }
  ],
  "total": 1
}
```

**SDK Code**

```python
import requests

url = "https://prod-api.raisedonors.com/api/Project/list"

querystring = {"SortBy":"code"}

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://prod-api.raisedonors.com/api/Project/list?SortBy=code';
const options = {
  method: 'GET',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://prod-api.raisedonors.com/api/Project/list?SortBy=code"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod-api.raisedonors.com/api/Project/list?SortBy=code")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://prod-api.raisedonors.com/api/Project/list?SortBy=code")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://prod-api.raisedonors.com/api/Project/list?SortBy=code', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://prod-api.raisedonors.com/api/Project/list?SortBy=code");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://prod-api.raisedonors.com/api/Project/list?SortBy=code")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```